Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: libsocket
# END SourceDeps(oneline)
Name:           pen
Version:        0.29.0
Release:        alt1_2
Summary:        Load balancer for "simple" tcp based protocols such as http or smtp
License:        GPLv2
URL:            http://siag.nu/pen/
Source0:        http://siag.nu/pub/pen/%{name}-%{version}.tar.gz
Source1:        pen.httpd
BuildRequires:  libGeoIP-devel
BuildRequires:  libssl-devel
Requires:       httpd
Source44: import.info

%description
pen is a load balancer for "simple" tcp based protocols such as http or
smtp. It allows several servers to appear as one to the outside and 
automatically detects servers that are down and distributes clients among the
available servers. This gives high availability and scalable performance. 

%prep
%setup -q

# Convert to utf-8
for file in ChangeLog penctl.1; do
   mv $file timestamp
   iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
   touch -r timestamp $file
done

sed -i 's/\/var/\%{_var}/g' %{SOURCE1}
chmod 0644 penstats

%build
%configure --with-ssl --with-geoip
%make_build

%install
%makeinstall_std
install -pDm0755 penctl.cgi %{buildroot}%{_var}/www/pen/penctl.cgi
install -pDm0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/pen.conf

%files
%doc AUTHORS ChangeLog COPYING HOWTO penstats README TODO
%{_mandir}/man1/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/pen.conf
%{_var}/www/pen/
%exclude %{_prefix}/doc/

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.29.0-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.29.0-alt1_1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.25.1-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.23.0-alt1_1
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.22.1-alt1_1
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.20.2-alt1_1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.18.0-alt1_11
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.18.0-alt1_10
- initial fc import

